Subject: Re: [PATCH net] net: dlink: handle dma_map_single() failure properly

From: "Yeounsu Moon" <[email-masked]>
Date: Fri, 10 Oct 2025 00:56:55 +0900

> Sorry for the slow response, I've been ill for the past few days.
No worries. I hope you're feeling better now.
>
> I did also consider the option above. That is handling the
> errors in the loop. And I can see some merit in that approach,
> e.g. reduced scope of variables.
>
> But I think the more idiomatic approach is to handle them 'here'.
> That is, at the end of the function. So I would lean towards
> that option.
Not only with `goto`, but there are also issues such as replacing  `printk()`
with `netdev_info()`. So for now, I'll send the patch that fix `alloc_list()`
correctly.